S::Startup Question about texttofront command

Discussion in 'AutoCAD' started by Tom Hanley, Oct 8, 2004.

  1. Tom Hanley

    Tom Hanley Guest

    LDT2005 on both Win2000 & XP OS, Network Server running Win2000

    I am trying to run this in my startup and it appears to work but when it
    finishes, I can no longer click to change paper/model space with my mouse.
    If I run the command at the command line it doesn't affect the mouse click
    ability.

    (command "texttofront" "b")



    My whole acad.lsp is below.....





    (defun-q MYSTARTUP ( )

    (defun C:LayerFiltersDelete ()
    (vl-Load-Com)
    (vl-Catch-All-Apply
    '(lambda ()
    (vla-Remove (vla-GetExtensionDictionary
    (vla-Get-Layers
    (vla-Get-ActiveDocument
    (vlax-Get-Acad-Object))))
    "ACAD_LAYERFILTERS")))
    (princ "\nAll layer filters have been deleted.")
    (princ))

    (defun C:LFD () (C:LayerFiltersDelete))
    (c:LFD)
    (command "texttofront" "b")

    )


    (setq S::STARTUP (append S::STARTUP MYSTARTUP))
     
    Tom Hanley, Oct 8, 2004
    #1
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.